extends Node2D


export (PackedScene) var Poop

var monster_speed = 50
var poops = []
var rng = RandomNumberGenerator.new()


func _ready():
  rng.randomize()


func _on_Monster_poop():
  var poop = Poop.instance()
  poops.append(poop)
  add_child(poop)
  poop.position = $Monster.position
  $PoopSound.play()


func _on_GUI_clean():
  if poops.size()>0:
    var poop = poops.pop_front()
    poop.queue_free()
    $CleanSound.play()

func _on_MonsterMoveTimer_timeout():
  if $Monster/AnimatedSprite.animation == "idle":
    var x
    match rng.randi_range(0,2):
      0:
        x = -1
      1:
        x = 0
      2:
        x = 1
    var y
    match rng.randi_range(0,2):
      0:
        y = -1
      1:
        y = 0
      2:
        y = 1

    var move = Vector2(x * monster_speed, y * monster_speed)
    $Monster.position += move

    $Monster.position.x = clamp($Monster.position.x, 200, 1150)
    $Monster.position.y = clamp($Monster.position.y, 250, 650)
    $MoveSound.play()

